[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetScrollBarPosition

Gets the position for the specified scroll bar.

## Declaration

Source position: grids.pas line 1108

`protected function TCustomGrid.GetScrollBarPosition(`
`Which: Integer`
`):Integer;`

## Arguments

`Which` |  | Indicates the scroll bar (horizontal or vertical) examined in the method.

## Function result

Current position in the specified scroll bar.

## Description

GetScrollBarPosition is an Integer function used to get the position for the scroll bar specified in Which. GetScrollBarPosition calls the GetScrollInfo routine in the LCL interface to get the TScrollInfo structure with the position for the scroll bar in Which.

The return value contain the position from the TScrollInfo structure. The return value is 0 (zero) if the Handle for the grid control has not been allocated.

## See also

GetScrollInfo |  | Returns all or selected information about a Scroll Bar.
TScrollInfo |  | The Scrollbar properties parameter record.